SASL_ERRDETAIL(3)

NAME
sasl_errdetail - Cyrus SASL documentation

SYNOPSIS

#include <sasl/sasl.h>
const char *sasl_errdetail( sasl_conn_t *conn );

DESCRIPTION

const char *sasl_errdetail(sasl_conn_t *conn);
    sasl_errdetail provides more detailed information about the most recent error to occur, beyond the information contained in the SASL result code.

Parameters

•   conn – the SASL connection context to inquire about.

RETURN VALUE

Returns the string describing the error that occurred, or NULL if no error has occurred, or there was an error retrieving it.

SEE ALSO

RFC 4422,:saslman:sasl(3)

AUTHOR
The Cyrus Team

COPYRIGHT
1993-2016, The Cyrus Team